.add-genre {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    margin: auto;
    background-color: white; /* White background for the section */
    box-shadow: 0 4px 8px rgba(0, 0, 0, 0.1); /* Shadow for the section */
    border-radius: 10px; /* Rounded corners for a modern look */
    padding: 2rem;
    width: 80%;
    max-width: 600px;
  }
  
  .add-genre-content {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
  }
  
  .add-genre-content p {
    text-transform: uppercase;
    font-size: 25px;
    font-family: 'Lucida Sans', 'Lucida Sans Regular', 'Lucida Grande', 'Lucida Sans Unicode', Geneva, Verdana, sans-serif;
  }
  
  .add-genre-inputs {
    padding: 1rem;
    width: 100%;
    margin: 1rem 0;
    border: 1px solid #ccc;
    border-radius: 5px;
    font-size: 1rem;
    color: #333;
    background-color: #fff;
    transition: border-color 0.3s ease;
  }
  
  .add-genre-inputs:focus {
    border-color: #007bff;
    outline: none;
  }
  
  .add-genre-buttons-container {
    display: flex;
    justify-content: center;
    margin: 2rem 0;
  }
  
  .add-genre-buttons {
    padding: 1rem 4rem;
    margin: 0 2rem;
    color: white;
    background-color: #28a745; /* Green background color */
    border: none;
    border-radius: 5px;
    font-size: 1rem;
    cursor: pointer;
    transition: background-color 0.3s ease, transform 0.3s ease;
  }
  
  .add-genre-buttons:hover {
    background-color: #218838; /* Darker green on hover */
    transform: scale(1.05);
  }
  
  .success-message {
    margin-top: 20px;
    padding: 10px;
    background-color: #d4edda;
    color: #155724;
    border: 1px solid #c3e6cb;
    border-radius: 4px;
    font-size: 16px;
    text-align: center;
  }
  
  .error-message {
    margin-top: 20px;
    padding: 10px;
    background-color: #f8d7da;
    color: #721c24;
    border: 1px solid #f5c6cb;
    border-radius: 4px;
    font-size: 16px;
    text-align: center;
  }
  
  /* Media Queries for Responsiveness */
  
  /* Extra small devices (phones, less than 576px) */
  @media (max-width: 575.98px) {
    .add-genre {
      padding: 1rem;
      width: 95%;
    }
  
    .add-genre-buttons {
      padding: 0.75rem 2rem;
      margin: 0 1rem;
      font-size: 0.875rem;
    }
  
    .success-message, .error-message {
      font-size: 14px;
    }
  }
  
  /* Small devices (landscape phones, less than 768px) */
  @media (max-width: 767.98px) {
    .add-genre {
      padding: 1.5rem;
      width: 90%;
    }
  
    .add-genre-buttons {
      padding: 1rem 3rem;
      margin: 0 1.5rem;
      font-size: 0.9375rem;
    }
  
    .success-message, .error-message {
      font-size: 15px;
    }
  }
  
  /* Medium devices (tablets, less than 992px) */
  @media (max-width: 991.98px) {
    .add-genre {
      padding: 2rem;
      width: 85%;
    }
  
    .add-genre-buttons {
      padding: 1rem 3.5rem;
      margin: 0 2rem;
      font-size: 1rem;
    }
  
    .success-message, .error-message {
      font-size: 15px;
    }
  }
  
  /* Large devices (desktops, less than 1200px) */
  @media (max-width: 1199.98px) {
    .add-genre {
      padding: 2rem;
      width: 80%;
    }
  }
  